/*
** motion.c - OpenGL motion library
*/

#include <GL/gl.h>
#include <GL/glu.h>
/*
#include <GL/aux.h>
*/

#include <math.h>

/*
** ӥ塼󥰥롼 ( see IRIS GL polarview() )
*/
void
polarView(GLdouble radius, GLdouble twist, GLdouble latitude, GLdouble longitude)
{
    glTranslated(0.0, 0.0, -radius);
    glRotated(-twist, 0.0, 0.0, 1.0);
    glRotated(-latitude, 1.0, 0.0, 0.0);
    glRotated(longitude, 0.0, 0.0, 1.0);
}

/*
** ӥ塼󥰥롼 ( see IRIS Performer pfChanView() )
*/
void
pilotView(GLdouble xyz[3], GLdouble hpr[3])
{
    glRotated(-90.0, 1.0, 0.0, 0.0);
    glRotated(-hpr[2], 0.0, 1.0, 0.0);
    glRotated(-hpr[1], 1.0, 0.0, 0.0);
    glRotated(-hpr[0], 0.0, 0.0, 1.0);
    glTranslated(-xyz[0], -xyz[1], -xyz[2]);
}

/*
** ǥ󥰥롼 ( see IRIS Performer pfDCSCoord() )
*/
void
xyzhpr(GLdouble xyz[3], GLdouble hpr[3])
{
    glTranslated(xyz[0], xyz[1], xyz[2]);
    glRotated(hpr[0], 0.0, 0.0, 1.0);
    glRotated(hpr[1], 1.0, 0.0, 0.0);
    glRotated(hpr[2], 0.0, 1.0, 0.0);
}
